Subject: Re: bug#71376: 14.0.5; find-file-at-point doesn't work in LaTeX-mode

From: Arash Esbati <[email-masked]>
Date: Thu, 06 Jun 2024 19:16:30 +0200

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> It looks good to me with respect to AUCTeX. (If we are looking after
> built-in TeX modes as well, entries for `plain-tex-mode' should also
> be included, maybe.)

I'm not sure, I thought `tex-mode' is a bit different than AUCTeX's
`TeX-mode':

,----[ C-h f tex-mode RET ]
| tex-mode is an autoloaded interactive native-comp-function in
| ‘tex-mode.el’.
| 
| (tex-mode)
| 
| Major mode for editing files of input for TeX, LaTeX, or SliTeX.
| This is the shared parent mode of several submodes.
| Tries to determine (by looking at the beginning of the file) whether
| this file is for plain TeX, LaTeX, or SliTeX and calls ‘plain-tex-mode’,
| ‘latex-mode’, or ‘slitex-mode’, accordingly.  If it cannot be determined,
| such as if there are no commands in the file, the value of ‘tex-default-mode’
| says which mode to use.
`----

`tex-mode' redirects to submodes via `tex--redirect-to-submode'.  I
think we ask the tex-mode.el maintainer.

@Stefan: Should the entries in ffap.el for `tex-mode' be replaced by
`plain-tex-mode' as well?

Best, Arash